﻿/*
 * Created by SharpDevelop.
 * User: phil
 * Date: 2011.02.09.
 * Time: 12:49
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Windows.Forms;

namespace TetheredSun.Controls
{
	/// <summary>
	/// Description of ControlExtensions.
	/// </summary>
	public static class ControlExtensions
	{
		public static void ThreadSafeRefresh(this Control control)
		{
			if (control.InvokeRequired) {
				MethodInvoker invoker = new MethodInvoker(delegate { ThreadSafeRefresh(control); });
				control.Invoke(invoker);
			} else {
				control.Refresh();
			}
		}
	}
}
